Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.deployment
Class RARDeployment

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.system.ServiceDynamicMBeanSupport
                  org.jboss.resource.deployment.RARDeployment

All Implemented Interfaces:
  javax.resource.spi.BootstrapContext, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class RARDeployment
extends org.jboss.system.ServiceDynamicMBeanSupport
implements javax.resource.spi.BootstrapContext

A resource adapter deployment

Version:
  $Revision: 1.8 $
Author:
  Adrian Brock

Field Summary
`protected ConnectorMetaData` | `cmd` The meta data
`protected RARDeployer` | `deployer` Our deployer
`protected org.jboss.deployment.DeploymentInfo` | `di` The deployment info
`protected javax.resource.spi.ResourceAdapter` | `resourceAdapter` The resource adapter

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`RARDeployment(org.jboss.deployment.DeploymentInfo di)` Create a new RAR deployment

Method Summary
`protected javax.resource.spi.ActivationSpec` | `createActivationSpec(Class messagingType, Collection activationConfig)`
`Timer` | `createTimer()`
`protected void` | `endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory, javax.resource.spi.ActivationSpec activationSpec)`
`protected void` | `endpointDeactivation(javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory, javax.resource.spi.ActivationSpec activationSpec)`
`protected Object` | `getInternalAttribute(String attribute)`
`protected javax.management.MBeanAttributeInfo[]` | `getInternalAttributeInfo()`
`protected String` | `getInternalDescription()`
`protected javax.management.MBeanOperationInfo[]` | `getInternalOperationInfo()`
`javax.resource.spi.work.WorkManager` | `getWorkManager()`
`javax.resource.spi.XATerminator` | `getXATerminator()`
`protected Object` | `internalInvoke(String actionName, Object[] params, String[] signature)`
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceDynamicMBeanSupport
`getAttribute, getAttributes, getInternalConstructorInfo, getInternalNotificationInfo, getMBeanInfo, invoke, setAttribute, setAttributes, setInternalAttribute`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### di

    protected org.jboss.deployment.DeploymentInfo di

  The deployment info

### deployer

    protected RARDeployer deployer

  Our deployer

### cmd

    protected ConnectorMetaData cmd

  The meta data

### resourceAdapter

    protected javax.resource.spi.ResourceAdapter resourceAdapter

  The resource adapter

Constructor Detail

### RARDeployment

    public RARDeployment(org.jboss.deployment.DeploymentInfo di)

  Create a new RAR deployment

Parameters:
  `di` - the deployment info

Method Detail

### createTimer

    public Timer createTimer()
                      throws javax.resource.spi.UnavailableException

  Specified by:
    `createTimer` in interface `javax.resource.spi.BootstrapContext`
  Throws:
    `javax.resource.spi.UnavailableException`

### getWorkManager

    public javax.resource.spi.work.WorkManager getWorkManager()

  Specified by:
    `getWorkManager` in interface `javax.resource.spi.BootstrapContext`

### getXATerminator

    public javax.resource.spi.XATerminator getXATerminator()

  Specified by:
    `getXATerminator` in interface `javax.resource.spi.BootstrapContext`

### startService

    protected void startService()
                         throws Exception

  Throws:
    `Exception`

### stopService

    protected void stopService()
                        throws Exception

  Throws:
    `Exception`

### getInternalDescription

    protected String getInternalDescription()

### getInternalAttributeInfo

    protected javax.management.MBeanAttributeInfo[] getInternalAttributeInfo()

### getInternalAttribute

    protected Object getInternalAttribute(String attribute)
                                   throws javax.management.AttributeNotFoundException,
                                          javax.management.MBeanException,
                                          javax.management.ReflectionException

  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getInternalOperationInfo

    protected javax.management.MBeanOperationInfo[] getInternalOperationInfo()

### internalInvoke

    protected Object internalInvoke(String actionName,
                                    Object[] params,
                                    String[] signature)
                             throws javax.management.MBeanException,
                                    javax.management.ReflectionException

  Throws:
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### createActivationSpec

    protected javax.resource.spi.ActivationSpec createActivationSpec(Class messagingType,
                                                                     Collection activationConfig)
                                                              throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### endpointActivation

    protected void endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory,
                                      javax.resource.spi.ActivationSpec activationSpec)
                               throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### endpointDeactivation

    protected void endpointDeactivation(javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory,
                                        javax.resource.spi.ActivationSpec activationSpec)
                                 throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.